// HardwareProfile.h

#ifndef _HARDWARE_PROFILE_H_
#define _HARDWARE_PROFILE_H_


// Various clock values
#define GetSystemClock()            32000000UL
//#define GetPeripheralClock()        (GetSystemClock() / 2)
#define GetPeripheralClock()        (GetSystemClock())
#define GetInstructionClock()       (GetSystemClock() / 2)
    
// Clock values
#define MILLISECONDS_PER_TICK       10
#define TIMER_PRESCALER             TIMER_PRESCALER_8   // 8MHz: TIMER_PRESCALER_1
#define TIMER_PERIOD                20000                // 10ms=20000, 1ms=2000

// Define the baud rate constants
#define BAUDRATE2       57600UL
#define BRG_DIV2        4
#define BRGH2           1

#if defined(__PIC24F__)
    #include <p24fxxxx.h>
    #include <uart2.h>
#elif defined(__PIC24H__)
    #include <p24hxxxx.h>
    #include <uart2.h>
#elif defined(__dsPIC33EP512MU810__)
    #include <p33Exxxx.h>
    #include <uart2.h>
#elif defined(__PIC24EP512GU810__)
    #include <p24Exxxx.h>
    #include <uart2.h>
#else
    #include <p32xxxx.h>
    #include <plib.h>
    #include <uart2.h>
#endif


/** TRIS ***********************************************************/
#define INPUT_PIN           1
#define OUTPUT_PIN          0

#endif

